Subject: Re: username problem
From: Isaque Galdino de Araujo <[email-masked]>
To: "Elfyn McBratney" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 6 Feb 2003 23:52:30 -0200

Is you user a domain user? If so, you could use:
mkpasswd -d -u anaddaf >> /etc/passwd

On Wed, 5 Feb 2003 22:57:29 -0000 Elfyn McBratney wrote:

> > > I just installed the latest cygwin on my Win2K machine. When I open a
> > > shell, my prompt is "t-ow@naddaf2". On the other hand, "id" reports my
> > > username as "anaddaf" which is the username that I use when I login to
> > my
> > > Win2K machine. I saw similar postings and the suggested solution was to
> > > update the /etc/passwd file but in my case, it won't do any good since
> > my
> > > /etc/password is identical to the "mkpassword -l".
> >
> > Are you sure they are exaclty the same. No changes in the Sid? Just to be
> > on
> > the safe side you should update your /etc/{passwd,group} file just to be
> > certain that's not whats holding you back.
> >
> > > What is puzzling me is that the user "anaddaf" which "id" reports
> > doesn't
> > > even exist in the /etc/passwd, nor does "t-ow". When I open the shell,
> > it
> > > takes me to the /home/Administrator directory. If I create a file, the
> > > "owner/group" of my file will be set to "anaddaf/mkgroup" and again
> > > "mkgroup" doesn't even exist in the /etc/group file.
> >
> > Hmmmm tahts odd :-( What is the contents of your CYGWIN environment
> > variable
> >
> > $ echo $CYGWIN
> 
> Well it was just a hunch...Im going to have to let an expert take over now
> :::::::::-) Sorry!
> 
> 
> Regards,
> 
> Elfyn McBratney
> [email-masked]
> www.exposure.org.uk
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
Isaque Galdino de Araujo             Slackware, Agenda VR3, Vim and Cygwin user.
http://sites.uol.com.br/isaque                        Java and C/C++ programmer.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/